###########################################################
# GEO/G1 site 'stddir_solaris.sh' - Bash shell            #
#                                                         #
# Created by Keith Thorne, 23 July 2010                   #
#                                                         #
# DO NOT EDIT THIS FILE!                                  #
# This file is part of a production system.               #
##########################################################
# Changes to it effect everyone.  Please play nice        #
# and contact the CDS sys admin if you feel this file     #
# needs to be changed.                                    #
#                                                         #
# $Id:$
###########################################################

# - proctype should be sparc, i386
proctype=`uname -p`

SYSBIN=/usr/bin
SYSLIB=/usr/lib
if [ -d /usr/local/bin ]; then
   SYSBIN=/usr/local/bin:${SYSBIN}
fi
if [ -d /usr/local/lib ]; then
   SYSLIB=/usr/local/lib:${SYSLIB}
fi
if [ -d /usr/sfw/bin ]; then
   SYSBIN=${SYSBIN}:/usr/sfw/bin
fi
if [ -d /usr/sfw/lib ]; then
   SYSLIB=${SYSLIB}:/usr/sfw/lib
fi
if [ -d /ligo/sfw/bin ]; then
   SYSBIN=${SYSBIN}:/ligo/sfw/bin
fi
if [ -d /ligo/sfw/lib ]; then
   SYSLIB=${SYSLIB}:/ligo/sfw/lib
fi
if [ -d /usr/ccs/bin ]; then
   SYSBIN=${SYSBIN}:/usr/ccs/bin
fi
if [ -d /usr/ccs/lib ]; then
   SYSLIB=${SYSLIB}:/usr/ccs/lib
fi
export SYSBIN
export SYSLIB

unset SYSPYTHON
unset SYSPERL

# ** Setup EPICS **
if [ "$proctype" = "sparc" ]; then
   EPICS_HOST_ARCH=solaris-sparc
else
   EPICS_HOST_ARCH=solaris-x86
fi
epicstop=/ligo/apps/epics
EPICS_BASE=${epicstop}/base
EPICS_EXTENSIONS=${epicstop}/extensions
EPICSBIN=${EPICS_BASE}/bin/${EPICS_HOST_ARCH}:${EPICS_EXTENSIONS}/bin/${EPICS_HOST_ARCH}
EPICSLIB=${EPICS_BASE}/lib/${EPICS_HOST_ARCH}:${EPICS_EXTENSIONS}/lib/${EPICS_HOST_ARCH}
SYSBIN=${EPICSBIN}:${SYSBIN}
SYSLIB=${EPICSLIB}:${SYSLIB} 

# ** setup GDS **
GDSDIR=/ligo/apps/gds
GDSBIN=${GDSDIR}/${EPICS_HOST_ARCH}/bin
GDSLIB=${GDSDIR}/${EPICS_HOST_ARCH}/lib
export GDSDIR
SYSBIN=${GDSBIN}:${SYSBIN}
SYSLIB=${GDSLIB}:${SYSLIB} 

# ** setup MATLAB **
MATDIR=/ligo/apps/matlab
export MATDIR
